apiVersion: apps/v1
kind: Deployment
metadata:
  name: mayacontigo-voz-del-cliente
  namespace: apps
  labels:
    app: mayacontigo-voz-del-cliente
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mayacontigo-voz-del-cliente
  template:
    metadata:
      labels:
        app: mayacontigo-voz-del-cliente
    spec:
      imagePullSecrets:
        - name: gitea-registry-cred
      containers:
        - name: mayacontigo-voz-del-cliente
          image: gitea.ia-innovacion.work/innovacion/mayacontigo-voz-del-cliente:latest
          env:
            - name: VAULT_TOKEN
              valueFrom:
                secretKeyRef:
                  name: mayacontigo-voz-del-cliente-secret
                  key: VAULT_TOKEN
          ports:
            - containerPort: 80
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 5
            periodSeconds: 10
          livenessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 15
            periodSeconds: 20
